// don't want this executing when building graphs
if($OFFLINE_NAV_BUILD)
   return;

package PermanentTurrets {

// Turret Barrel Code by Byte
// Original Coding by t-b0n3
// Come See Us @ irc.dynamix.com #t2mappers
//
// Code allows a Map Maker to select which barrels
// they want to allow to be placed on each turret, if any.
// Also, Allows Map Maker to lock turrets, so they can't be changed
//
// Turret Dynamics: (add this to the turrets you wish to modify)
//
// isPermanent = true or false
// AARemoved = true or false
// ElfRemoved = true or false
// MissileRemoved = true or false
// PlasmaRemoved = true or false
// MortarRemoved = true or false

function TurretData::replaceCallback(%this, %turret, %engineer) {

   %barrel = %engineer.getMountedImage($BackPackSlot).turretbarrel ;
   %barrelslot = %engineer.getMountedImage($BackPackSlot);

 // is turret not to be changed?
  if (%turret.isPermanent == "1")
    {
     messageclient(%engineer.client, 0, "Sorry, You cannot change the barrel on this turret");
     return;
    }

// do we want to use AA?
  if (%barrel $= "AABarrelLarge" && %turret.AARemoved == "1")
    {
          messageclient(%engineer.client, 0, "Sorry, Can't Use AA on this turret");
          %engineer.setInventory(%engineer.getMountedImage($BackPackSlot).item, 0); 
	  return;
    }

// do we want to use Elf?
  if (%barrel $= "ElfBarrelLarge" && %turret.ElfRemoved == "1")
    {
          messageclient(%engineer.client, 0, "Sorry, Can't Use Elf on this turret");
          %engineer.setInventory(%engineer.getMountedImage($BackPackSlot).item, 0);
          return;
    }

// do we want to use Missles?
  if (%barrel $= "MissileBarrelLarge" && %turret.MissileRemoved == "1")
    {
          messageclient(%engineer.client, 0, "Sorry, Can't Use Missles on this turret");
          %engineer.setInventory(%engineer.getMountedImage($BackPackSlot).item, 0);
	  return;
    }

// do we want to use Plasma?
  if (%barrel $= "PlasmaBarrelLarge" && %turret.PlasmaRemoved == "1")
    {
          messageclient(%engineer.client, 0, "Sorry, Can't Use Plasma on this turret");
          %engineer.setInventory(%engineer.getMountedImage($BackPackSlot).item, 0);
	  return;
    }

// do we want to use Mortars?
  if (%barrel $= "MortarBarrelLarge" && %turret.MortarRemoved == "1")
    {
          messageclient(%engineer.client, 0, "Sorry, Can't Use Mortars on this turret");
          %engineer.setInventory(%engineer.getMountedImage($BackPackSlot).item, 0);
	  return;
    }

// lets call back our mommy
parent::replaceCallBack(%this, %turret, %engineer);
}
};

activatePackage(PermanentTurrets);
